| Flutter Impeller |

Classes | Functions
std Namespace Reference

## Classes
struct | equal_to< impeller::Glyph >
struct | equal_to< impeller::ScaledFont >
struct | hash< impeller::DepthAttachmentDescriptor >
struct | hash< impeller::Font::Metrics >
struct | hash< impeller::Glyph >
struct | hash< impeller::ScaledFont >
struct | hash< impeller::StencilAttachmentDescriptor >
struct | hash< impeller::UniqueID >
struct | less< impeller::Glyph >
struct | less< impeller::UniqueID >

## Functions
std::ostream & | operator<< (std::ostream &out, const impeller::Color &c)
std::ostream & | operator<< (std::ostream &out, const impeller::Half &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HalfVector2 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HalfVector3 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HalfVector4 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::Matrix &m)
template<class T >
std::ostream & | operator<< (std::ostream &out, const impeller::TPoint< T > &p)
std::ostream & | operator<< (std::ostream &out, const impeller::Quaternion &q)
template<class T >
std::ostream & | operator<< (std::ostream &out, const impeller::TRect< T > &r)
template<class T >
std::ostream & | operator<< (std::ostream &out, const impeller::TSize< T > &s)
std::ostream & | operator<< (std::ostream &out, const impeller::Vector3 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::Vector4 &p)
std::ostream & | operator<< (std::ostream &out, const impeller::HandleGLES &handle)

## Function Documentation

## ◆ operator<<() [1/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Color & | c
| ) |  |
| inline

Definition at line 945 of file color.h.

945 {
946 out << "(" << c.red << ", " << c.green << ", " << c.blue << ", " << c.alpha
947 << ")";
948 return out;
949 }

References impeller::Color::alpha, impeller::Color::blue, impeller::Color::green, and impeller::Color::red.

## ◆ operator<<() [2/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Half & | p
| ) |  |
| inline

Definition at line 159 of file half.h.

159 {
160 out << "(" << static_cast<impeller::Scalar>(p.x) << ")";
161 return out;
162 }

References impeller::Half::x.

## ◆ operator<<() [3/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HalfVector2 & | p
| ) |  |
| inline

Definition at line 164 of file half.h.

165 {
166 out << "(" << static_cast<impeller::Scalar>(p.x) << ", "
167 << static_cast<impeller::Scalar>(p.y) << ")";
168 return out;
169 }

References impeller::HalfVector2::x, and impeller::HalfVector2::y.

## ◆ operator<<() [4/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HalfVector3 & | p
| ) |  |
| inline

Definition at line 171 of file half.h.

172 {
173 out << "(" << static_cast<impeller::Scalar>(p.x) << ", "
174 << static_cast<impeller::Scalar>(p.y) << ", "
175 << static_cast<impeller::Scalar>(p.z) << ")";
176 return out;
177 }

References impeller::HalfVector3::x, impeller::HalfVector3::y, and impeller::HalfVector3::z.

## ◆ operator<<() [5/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HalfVector4 & | p
| ) |  |
| inline

Definition at line 179 of file half.h.

180 {
181 out << "(" << static_cast<impeller::Scalar>(p.x) << ", "
182 << static_cast<impeller::Scalar>(p.y) << ", "
183 << static_cast<impeller::Scalar>(p.z) << ", "
184 << static_cast<impeller::Scalar>(p.w) << ")";
185 return out;
186 }

References impeller::HalfVector4::w, impeller::HalfVector4::x, impeller::HalfVector4::y, and impeller::HalfVector4::z.

## ◆ operator<<() [6/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::HandleGLES & | handle
| ) |  |
| inline

Definition at line 75 of file handle_gles.h.

76 {
77 out << HandleTypeToString(handle.type) << "(";
78 if (handle.IsDead()) {
79 out << "DEAD";
80 } else {
81 out << handle.name.value().id;
82 }
83 out << ")";
84 return out;
85 }

References impeller::HandleTypeToString(), impeller::HandleGLES::IsDead(), impeller::HandleGLES::name, and impeller::HandleGLES::type.

## ◆ operator<<() [7/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Matrix & | m
| ) |  |
| inline

Definition at line 507 of file matrix.h.

507 {
508 out << "(" << std::endl << std::fixed;
509 for (size_t i = 0; i < 4u; i++) {
510 for (size_t j = 0; j < 4u; j++) {
511 out << std::setw(15) << m.e[j][i] << ",";
512 }
513 out << std::endl;
514 }
515 out << ")";
516 return out;
517 }

References impeller::Matrix::e.

## ◆ operator<<() [8/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Quaternion & | q
| ) |  |
| inline

Definition at line 93 of file quaternion.h.

94 {
95 out << "(" << q.x << ", " << q.y << ", " << q.z << ", " << q.w << ")";
96 return out;
97 }

References impeller::Quaternion::w, impeller::Quaternion::x, impeller::Quaternion::y, and impeller::Quaternion::z.

## ◆ operator<<() [9/13]

template<class T >

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::TPoint< T > & | p
| ) |  |
| inline

Definition at line 317 of file point.h.

318 {
319 out << "(" << p.x << ", " << p.y << ")";
320 return out;
321 }

References impeller::TPoint< T >::x, and impeller::TPoint< T >::y.

## ◆ operator<<() [10/13]

template<class T >

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::TRect< T > & | r
| ) |  |
| inline

Definition at line 314 of file rect.h.

315 {
316 out << "(" << r.origin << ", " << r.size << ")";
317 return out;
318 }

References impeller::TRect< T >::origin, and impeller::TRect< T >::size.

## ◆ operator<<() [11/13]

template<class T >

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::TSize< T > & | s
| ) |  |
| inline

Definition at line 145 of file size.h.

146 {
147 out << "(" << s.width << ", " << s.height << ")";
148 return out;
149 }

References impeller::TSize< T >::height, and impeller::TSize< T >::width.

## ◆ operator<<() [12/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Vector3 & | p
| ) |  |
| inline

Definition at line 317 of file vector.h.

317 {
318 out << "(" << p.x << ", " << p.y << ", " << p.z << ")";
319 return out;
320 }

References impeller::Vector3::x, impeller::Vector3::y, and impeller::Vector3::z.

## ◆ operator<<() [13/13]

std::ostream& std::operator<< | ( | std::ostream & | out,
|  | const impeller::Vector4 & | p
| ) |  |
| inline

Definition at line 322 of file vector.h.

322 {
323 out << "(" << p.x << ", " << p.y << ", " << p.z << ", " << p.w << ")";
324 return out;
325 }

References impeller::Vector4::w, impeller::Vector4::x, impeller::Vector4::y, and impeller::Vector4::z.

impeller::Quaternion::z
Scalar z
Definition: quaternion.h:18
impeller::Half::x
InternalHalf x
Definition: half.h:38
impeller::TRect::size
TSize< Type > size
Definition: rect.h:24
impeller::TPoint::y
Type y
Definition: point.h:24
impeller::Scalar
float Scalar
Definition: scalar.h:15
impeller::HalfVector2::x
InternalHalf x
Definition: half.h:128
impeller::HalfVector3::y
InternalHalf y
Definition: half.h:101
impeller::Quaternion::w
Scalar w
Definition: quaternion.h:19
impeller::Color::alpha
Scalar alpha
Definition: color.h:141
impeller::HandleGLES::name
std::optional< UniqueID > name
Definition: handle_gles.h:36
impeller::HandleGLES::IsDead
constexpr bool IsDead() const
Definition: handle_gles.h:42
impeller::Color::green
Scalar green
Definition: color.h:131
impeller::Vector3::x
Scalar x
Definition: vector.h:20
impeller::HandleTypeToString
std::string HandleTypeToString(HandleType type)
Definition: handle_gles.cc:11
impeller::Quaternion::x
Scalar x
Definition: quaternion.h:16
impeller::Matrix::e
Scalar e[4][4]
Definition: matrix.h:39
impeller::HalfVector4::x
InternalHalf x
Definition: half.h:59
impeller::HalfVector3::x
InternalHalf x
Definition: half.h:100
impeller::HandleGLES::type
HandleType type
Definition: handle_gles.h:35
impeller::Color::red
Scalar red
Definition: color.h:126
impeller::Vector3::z
Scalar z
Definition: vector.h:22
impeller::TRect::origin
TPoint< Type > origin
Definition: rect.h:23
impeller::Vector4::x
Scalar x
Definition: vector.h:232
impeller::HalfVector4::y
InternalHalf y
Definition: half.h:60
impeller::Vector3::y
Scalar y
Definition: vector.h:21
impeller::TSize::width
Type width
Definition: size.h:21
impeller::HalfVector4::z
InternalHalf z
Definition: half.h:61
impeller::TPoint::x
Type x
Definition: point.h:23
impeller::Vector4::w
Scalar w
Definition: vector.h:235
impeller::Vector4::y
Scalar y
Definition: vector.h:233
impeller::HalfVector3::z
InternalHalf z
Definition: half.h:102
impeller::Quaternion::y
Scalar y
Definition: quaternion.h:17
impeller::TSize::height
Type height
Definition: size.h:22
impeller::Color::blue
Scalar blue
Definition: color.h:136
impeller::Vector4::z
Scalar z
Definition: vector.h:234
impeller::HalfVector4::w
InternalHalf w
Definition: half.h:62
impeller::HalfVector2::y
InternalHalf y
Definition: half.h:129